package com.syntevo.openapi.smartsvn.tagbranch;

import org.tmatesoft.svn.core.*;

/**
 * Manages tag-branch-layouts.
 */
public interface SvnTagBranchLayouts {

	/**
	 * Returns the tag-branch-layout whose base URL is the closest parent
	 * to the specified URL.
	 *
	 * @param url the url for which a matching tag-branch-layout is requested
	 * @return found tag-branch-layout or null if not matching layout exists
	 */
	SvnTagBranchLayout getTrunkTagBranchLayout(SVNURL url);
}
